=== debian/changelog ===
yum-utils (1.1.26-0ubuntu1) oneiric; urgency=low

  * Initial release (LP: #789266)

 -- Andres Rodriguez <andreserl@ubuntu.com>  Tue, 26 Jul 2011 11:42:44 -0400
