=== debian/control ===
Source: yum-utils
Section: admin
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Build-Depends: debhelper (>= 7.0.50~),
               gettext,
               intltool,
               python-dev (>= 2.6.6-3~)
Standards-Version: 3.9.1
X-Python-Version: >= 2.6
Homepage: http://yum.baseurl.org/wiki/YumUtils

Package: yum-utils
Architecture: any
Depends: createrepo,
         python-dateutil,
         yum (>= 3.2.25),
         ${misc:Depends},
         ${python:Depends}
Description: Utilities, plugins and examples for the Yum Package Manager
 yum-utils is a collection of utilities and examples for the yum package
 manager. It includes utilities by different authors that make yum easier and
 more powerful to use. These tools include: debuginfo-install,
 find-repos-of-install, needs-restarting, package-cleanup, repoclosure,
 repodiff, repo-graph, repomanage, repoquery, repo-rss, reposync,
 repotrack, verifytree, yumdownloader, yum-builddep, yum-complete-transaction,
 yum-config-manager, yum-debug-dump, yum-debug-restore and yum-groups-manager.
