## yum-utils 1.1.31

=== docs/Makefile ===
--- 
+++ 
@@ -1,8 +1,9 @@
 DOCS = repoquery package-cleanup repo-rss yumdownloader yum-builddep yum-changelog reposync \
        yum-list-data yum-filter-data yum-verify yum-utils yum-aliases yum-debug-dump yum-versionlock \
-       yum-groups-manager debuginfo-install repodiff yum-fs-snapshot
+       yum-groups-manager debuginfo-install repodiff yum-fs-snapshot \
+       show-installed show-changed-rco
 DOCS5 = yum-changelog.conf yum-versionlock.conf yum-fs-snapshot.conf
-DOCS8 = yum-security yum-complete-transaction 
+DOCS8 = yum-security yum-complete-transaction yumdb
 
 all:
 	echo "Nothing to do"
