=== debian/changelog ===
yum-utils (1.1.31-3) experimental; urgency=medium

  * debian/patches/08_print-depsolving-errors-in-yumdownloader.patch: Print
    depsolving errors in yumdownloader. (LP: #1378870)
  * Add Build-Depends on dh-python.
  * Use my @debian.org address.
  * Update Vcs-* control fields to new Git repository.
  * Run wrap-and-sort on debian/control.
  * Bump Standards-Version to 3.9.6. No changes needed.

 -- Mike Miller <mtmiller@debian.org>  Sat, 24 Jan 2015 20:54:49 -0500

yum-utils (1.1.31-2) unstable; urgency=low

  * Add Depends for missing python module dependencies: python-iniparse,
    python-libxml2, python-rpm, python-urlgrabber. (Closes: #724755)
  * Remove unpackaged commands from package description: yum-debug-dump,
    yum-debug-restore.
  * Add debian/gbp.conf for git-buildpackage.

 -- Mike Miller <mtmiller@ieee.org>  Mon, 04 Nov 2013 08:52:35 -0500

yum-utils (1.1.31-1) unstable; urgency=low

  * Initial release. (Closes: #547171)

 -- Mike Miller <mtmiller@ieee.org>  Mon, 19 Aug 2013 01:37:59 -0400
